#popup {
    height: 80%;
    max-height: 700px;
}

.popup-window {
    background-color: #f8f8f8;
    border-radius: 5px;
    padding: 20px 10px 20px 20px;
    color: #000000;
    /* todo: fix issue when popup's height is larger than window's height */
    /* temp height fix */
    max-height: 100%;
    overflow-y: auto;
}

.popup-window.popup-dark {
    background-color: #000000;
    border-radius: 0;
    color: #eeeeee;
    height: auto !important;
}

#popup.fixed-height .popup-window {
    height: 100%;
}

.b-close {
    font-family: 'websymbols';
}

.popup-window .b-close {
    position: absolute;
    top: 0;
    right: 10px;
    cursor: pointer;
}

.popup-window .b-close:before{
    content: '\e9ec';
    color: #5f5f5f;
    font-size: 25px;
}

.popup-window .title {
    color: #000000;
    text-align: center;
    margin-top: 0;
    font-size: 14pt;
    font-weight: bold;
    letter-spacing: 1px;
    padding-right: 25px;
}

.popup-window .submit-button {
    display: block;
    padding: 5px 20px;
    background-color: #388fe8;
    border-radius: 5px;
    border: 0;
    font-size: 10pt;
    font-weight: bold;
    color: #ffffff;
    cursor: pointer;
}

.popup-window input.submit-button {
    width: 100%;
}

.popup-window .content {
    /*height: 95%;*/
    overflow-x: hidden;
    overflow-y: auto;
    margin-right: 10px;
    padding: 0 10px 10px 0;
}

.popup-window.text-center {
    text-align: center;
}

.popup-window a:not(.button) {
    color: #388FE8;
}

.popup-window a:hover:not(.button) {
    color: #ffd057;
}

.popup-window .button {
    margin: 0 auto;
}

.popup-window .form .form-wrapper {
    padding: 0 20px;
}

/* Notices 3.0 */

.user-notice-wrapper {
    display: -webkit-flex;
    display: flex;
    background: #ffffff;
}

.user-notice-wrapper .content-wrapper,
.user-notice-wrapper .image-wrapper {
    box-sizing: border-box;
    width: 50%;
}

.user-notice-wrapper .content-wrapper {
    color: #020202;
    padding: 20px 25px;
    font-size: 14px;
    line-height: 157%;
}

.user-notice-wrapper .content-wrapper h4 {
    font-size: 21px;
    font-weight: bold;
    margin-bottom: 20px;
}

.user-notice-wrapper .image-wrapper img {
    border: 0;
    display: block;
    max-width: 100%;
    max-height: 100%;
    float: right;
}

.controls-wrapper {
    height: 70px;
    text-align: center;
    box-sizing: border-box;
    padding-top: 16px;
}

.controls-wrapper .button {
    padding: 12px 15px;
    width: 130px;
}

.controls-wrapper .button-ok {
    border: 1px solid #FEC265;
    margin-right: 20px;
}
.popup--content .popup-window {
    overflow-y: hidden;
}
.popup--content .popup-window .content {
    margin-right: 0;
}
/* Popup mobile */
@media all and (max-width: 1000px) {
    #popup .popup-window {
        padding: 20px;
        border-radius: 0;
    }
    #popup .title {
        margin-bottom: 30px;
        font-size: 24px;
    }
    .popup-window .b-close {
        top: 10px;
        right: 16px;
    }
    .popup-window .b-close:before {
        font-size: 38px;
    }
    #popup .popup-window .content {
        height: auto;
        margin: 0;
        padding: 10px;
    }
    /* Image Edit popup */
    .popup-window .image-edit-buttons .button {
        box-sizing: border-box;
        width: 33.3333%;
        padding: 15px 25px;
    }
    .popup-window #form-image-edit {
        position: absolute;
        width: 95%;
        bottom: 20px;
        left: 50%;
        transform: translateX(-50%);
    }
    .popup-window #form-image-edit .button-submit {
        width: 100%;
        line-height: 37px;
        margin-top: 20px;
    }
    /* Popup for premium page */
    #popup.premium-mobile .popup-window {
        font-size: 24px;
    }
    #popup.premium-mobile .popup-window .content {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%,-50%);
        width: 95%;
    }
    #popup.premium-mobile .popup-window .page-description {
        text-align: center;
    }
    #popup.premium-mobile .popup-window .page-description .button {
        box-sizing: border-box;
        width: 100%;
        margin: 60px 0 0 0;
        font-size: 16px;
        line-height: 32px;
    }

}
@media all and (max-width: 767px) {
    #popup .title {
        font-size: 18px;
    }
    .popup-window .b-close {
        top: 5px;
    }
    /* Image Edit popup */
    .popup-window .image-edit-buttons .button {
        font-size: 0;
    }
    .popup-window .image-edit-buttons .button:before {
        font-size: 19px;
        color: #353535;
    }
    /* Popup for premium page */
    #popup.premium-mobile .popup-window {
        font-size: 16px;
    }
    #popup.premium-mobile .popup-window .page-description .button {
        font-size: 14px;
        line-height: 22px;
    }
}
/* Animate popup // TODO: add single css with all animation ???*/
/* - add need class of animation in popupOptions */
/*.popup-animate {*/
/*opacity: 0;*/
/*}*/
.popup-animated {
    -webkit-animation-duration: 1.5s;
    animation-duration: 1.5s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}
/* BounceIn animation */
@-webkit-keyframes bounceIn {
    from, 20%, 40%, 60%, 80%, to {
        -webkit-animation-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
        animation-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
    }
    0% {
        opacity: 0;
        -webkit-transform: scale3d(.3, .3, .3);
        transform: scale3d(.3, .3, .3);
    }
    20% {
        -webkit-transform: scale3d(1.1, 1.1, 1.1);
        transform: scale3d(1.1, 1.1, 1.1);
    }
    40% {
        -webkit-transform: scale3d(.9, .9, .9);
        transform: scale3d(.9, .9, .9);
    }
    60% {
        opacity: 1;
        -webkit-transform: scale3d(1.03, 1.03, 1.03);
        transform: scale3d(1.03, 1.03, 1.03);
    }
    80% {
        -webkit-transform: scale3d(.97, .97, .97);
        transform: scale3d(.97, .97, .97);
    }
    to {
        opacity: 1;
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}
@keyframes bounceIn {
    from, 20%, 40%, 60%, 80%, to {
        -webkit-animation-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
        animation-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
    }
    0% {
        opacity: 0;
        -webkit-transform: scale3d(.3, .3, .3);
        transform: scale3d(.3, .3, .3);
    }
    20% {
        -webkit-transform: scale3d(1.1, 1.1, 1.1);
        transform: scale3d(1.1, 1.1, 1.1);
    }
    40% {
        -webkit-transform: scale3d(.9, .9, .9);
        transform: scale3d(.9, .9, .9);
    }
    60% {
        opacity: 1;
        -webkit-transform: scale3d(1.03, 1.03, 1.03);
        transform: scale3d(1.03, 1.03, 1.03);
    }
    80% {
        -webkit-transform: scale3d(.97, .97, .97);
        transform: scale3d(.97, .97, .97);
    }
    to {
        opacity: 1;
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}

.bounceIn {
    -webkit-animation-name: bounceIn;
    animation-name: bounceIn;
}
/* Tada */
@-webkit-keyframes tada {
    from {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
    10%, 20% {
        -webkit-transform: scale3d(.9, .9, .9) rotate3d(0, 0, 1, -3deg);
        transform: scale3d(.9, .9, .9) rotate3d(0, 0, 1, -3deg);
    }
    30%, 50%, 70%, 90% {
        -webkit-transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, 3deg);
        transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, 3deg);
    }
    40%, 60%, 80% {
        -webkit-transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, -3deg);
        transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, -3deg);
    }
    to {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}
@keyframes tada {
    from {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
    10%, 20% {
        -webkit-transform: scale3d(.9, .9, .9) rotate3d(0, 0, 1, -3deg);
        transform: scale3d(.9, .9, .9) rotate3d(0, 0, 1, -3deg);
    }
    30%, 50%, 70%, 90% {
        -webkit-transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, 3deg);
        transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, 3deg);
    }
    40%, 60%, 80% {
        -webkit-transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, -3deg);
        transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, -3deg);
    }
    to {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}

.tada {
    -webkit-animation-name: tada;
    animation-name: tada;
}
@-webkit-keyframes fadeInRight {
    from {
        opacity: 0;
        -webkit-transform: translate3d(100%, 0, 0);
        transform: translate3d(100%, 0, 0);
    }
    to {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}
/* Fade in right */
@keyframes fadeInRight {
    from {
        opacity: 0;
        -webkit-transform: translate3d(100%, 0, 0);
        transform: translate3d(100%, 0, 0);
    }
    to {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

.fadeInRight {
    -webkit-animation-name: fadeInRight;
    animation-name: fadeInRight;
}
@-webkit-keyframes flipInY {
    from {
        -webkit-transform: perspective(400px) rotate3d(0, 1, 0, 90deg);
        transform: perspective(400px) rotate3d(0, 1, 0, 90deg);
        -webkit-animation-timing-function: ease-in;
        animation-timing-function: ease-in;
        opacity: 0;
    }

    40% {
        -webkit-transform: perspective(400px) rotate3d(0, 1, 0, -20deg);
        transform: perspective(400px) rotate3d(0, 1, 0, -20deg);
        -webkit-animation-timing-function: ease-in;
        animation-timing-function: ease-in;
    }

    60% {
        -webkit-transform: perspective(400px) rotate3d(0, 1, 0, 10deg);
        transform: perspective(400px) rotate3d(0, 1, 0, 10deg);
        opacity: 1;
    }

    80% {
        -webkit-transform: perspective(400px) rotate3d(0, 1, 0, -5deg);
        transform: perspective(400px) rotate3d(0, 1, 0, -5deg);
    }

    to {
        -webkit-transform: perspective(400px);
        transform: perspective(400px);
    }
}

@keyframes flipInY {
    from {
        -webkit-transform: perspective(400px) rotate3d(0, 1, 0, 90deg);
        transform: perspective(400px) rotate3d(0, 1, 0, 90deg);
        -webkit-animation-timing-function: ease-in;
        animation-timing-function: ease-in;
        opacity: 0;
    }

    40% {
        -webkit-transform: perspective(400px) rotate3d(0, 1, 0, -20deg);
        transform: perspective(400px) rotate3d(0, 1, 0, -20deg);
        -webkit-animation-timing-function: ease-in;
        animation-timing-function: ease-in;
    }

    60% {
        -webkit-transform: perspective(400px) rotate3d(0, 1, 0, 10deg);
        transform: perspective(400px) rotate3d(0, 1, 0, 10deg);
        opacity: 1;
    }

    80% {
        -webkit-transform: perspective(400px) rotate3d(0, 1, 0, -5deg);
        transform: perspective(400px) rotate3d(0, 1, 0, -5deg);
    }

    to {
        -webkit-transform: perspective(400px);
        transform: perspective(400px);
    }
}

.flipInY {
    -webkit-backface-visibility: visible !important;
    backface-visibility: visible !important;
    -webkit-animation-name: flipInY;
    animation-name: flipInY;
}

@-webkit-keyframes zoomIn {
    from {
        opacity: 0;
        -webkit-transform: scale3d(.3, .3, .3);
        transform: scale3d(.3, .3, .3);
    }

    50% {
        opacity: 1;
    }
}

@keyframes zoomIn {
    from {
        opacity: 0;
        -webkit-transform: scale3d(.3, .3, .3);
        transform: scale3d(.3, .3, .3);
    }

    50% {
        opacity: 1;
    }
}

.zoomIn {
    -webkit-animation-name: zoomIn;
    animation-name: zoomIn;
}
